Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78423 - Delete key broken
Summary: Delete key broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-22 18:15 UTC by David Balažic
Modified: 2007-04-18 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 19:02:00 UTC


Attachments (Terms of Use)

Description David Balažic 2002-11-22 18:15:11 UTC
Description of Problem:

Some joker inserted the following line into /etc/screenrc :

bindkey -d -k kD stuff "\177"

This makes the code \177 to appear inside screen virtual terminals
whenever the user presses the "Delete" key, but the screen termcap ( and
screen documentation ) says that the code for "Delete" inside screen is
~[[3~.
This makes most/all apps running inside screen to fail properly processing 
the "Delete" key.
Removing that line from screenrc fixes it. ( Why was it added anyway ? )

Version-Release number of selected component (if applicable):

screen-3.9.11-10

Comment 1 Lon Hohberger 2002-11-22 21:02:24 UTC
This works for me on the same release/package noted.

Could you give me a specific example of where this breaks?  LANG, shell,
application?  Do you have a ~/.screenrc?







Comment 2 David Balažic 2002-11-23 15:19:40 UTC
This is on a standard RHL8.0 install, no modifications.

LANG=en_US.UTF-8
SHELL=/bin/bash ( 2.05b-5 )
no ~/.screenrc
USER=root

examples :

Question : Does the Delete key work properly ?

env 0 - linux console on VT1 , TERM=linux
env s0 - screen running on VT1 , no 'bindkey -d -k kD stuff \177' line in 
screenrc , TERM=screen
env s1 - screen running on VT1 , 'bindkey -d -k kD stuff \177' line in 
screenrc , TERM=screen

application | env 0 | env s0 | env s1
--------------------------------------
vi          |  yes  |  yes   |  yes   
bash        |  yes  |  yes   |  no   
tcsh        |  no   |  no    |  no   
less        |  yes  |  yes   |  no   
jed         |  no   |  no    |  no    
joe         |  yes  |  yes   |  no   

As you see, this lines breaks everything except vi.
Without it , everything works ( except two cases, but they don't
work outside of screen either )


Comment 3 Lon Hohberger 2002-12-02 15:41:52 UTC
I verified this, and will build a package without the bindkey line David has
identified.  Sorry for the wait.

screen-3.9.11-14 - should be in rawhide soon.


Comment 4 Lon Hohberger 2002-12-06 14:26:21 UTC
Additionally, 3.9.13-2 will be in rawhide soon - which should not exhibit this
problem either.


Comment 5 Lon Hohberger 2002-12-16 21:32:11 UTC
The following package should solve the problem:

ftp://ftp.redhat.com/pub/redhat/linux/rawhide/i386/RedHat/RPMS/screen-3.9.13-2.i386.rpm



Comment 6 David Balažic 2004-06-18 11:45:26 UTC
See the "master bug" for this problem : bug 11294


Note You need to log in before you can comment on or make changes to this bug.